<?php
if (!defined('__TYPECHO_ADMIN__')) {
    exit;
}

$header = '<link rel="stylesheet" href="' . Typecho_Common::url('normalize.css?v=' . $suffixVersion, $options->adminStaticUrl('css')) . '">
<link rel="stylesheet" href="' . Typecho_Common::url('grid.css?v=' . $suffixVersion, $options->adminStaticUrl('css')) . '">
<link rel="stylesheet" href="' . Typecho_Common::url('style.css?v=' . $suffixVersion, $options->adminStaticUrl('css')) . '">
<link rel="stylesheet" href="./Apex/css/fullcalendar.min.css">
<link rel="stylesheet" href="./Apex/css/alldong.css">
<link rel="stylesheet" href="./Apex/css/sweetalert2.min.css">
<link rel="stylesheet" href="./Apex/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="./Apex/css/argon.min.css?v=1.0.0" type="text/css">
<link rel="stylesheet" href="./Apex/css/admin-css.css" type="text/css">
<!--[if lt IE 9]>
<script src="' . Typecho_Common::url('html5shiv.js?v=' . $suffixVersion, $options->adminStaticUrl('js')) . '"></script>
<script src="' . Typecho_Common::url('respond.js?v=' . $suffixVersion, $options->adminStaticUrl('js')) . '"></script>
<![endif]-->';

/** 注册一个初始化插件 */
$header = Typecho_Plugin::factory('admin/header.php')->header($header);
error_reporting(0);

?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="<?php $options->charset(); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="renderer" content="webkit">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php _e('%s - %s - Powered by Typecho', $menu->title, $options->title); ?></title>
    <link rel="icon" type="image/ico" href="<?php echo Typecho_Common::gravatarUrl($user->mail, 220, 'X', 'mm', $request->isSecure()) ?>">
    <meta name="robots" content="noindex, nofollow">
    <?php echo $header; ?>
    <script src="./Apex/js/jquery.min.js"></script>  
    <link rel="stylesheet" href="./Apex/css/nucleo.css" type="text/css">
    <link rel="stylesheet" href="./Apex/css/all.min.css" type="text/css">
</head>
    <body<?php if (isset($bodyClass)) {echo ' class="' . $bodyClass . '"';} ?>>
    <!--[if lt IE 9]>
        <div class="message error browsehappy" role="dialog"><?php _e('当前网页 <strong>不支持</strong> 你正在使用的浏览器. 为了正常的访问, 请 <a href="http://browsehappy.com/">升级你的浏览器</a>'); ?>.</div>
    <![endif]-->