<?php
include 'common.php';
include 'header.php';
include 'menu.php';
include 'ApexUi.php';
Typecho_Widget::widget('Widget_Metas_Category_Admin')->to($categories);
?>


<div class="container-fluid mt--6">
    <div class="row">
        <div class="col">
            <div class="card">
                <!-- Card header -->
                <div class="card-header">
                    <div class="clearfix">
                        <h3 style="float: left;margin-right: 16px;">管理用户</h3>
                         <a href="<?php $options->adminUrl('user.php'); ?>" class="btn btn-primary btn-sm" >新增</a>
                    </div>
                    <p class="text-sm mb-0">
                    </p>
                </div>
                <div class="table-responsive py-4">
                    <div id="datatable-buttons_wrapper" class="dataTables_wrapper dt-bootstrap4">
                        <form method="get">
                            <div class="dt-buttons btn-group">
                                <div class="operate" style="margin-bottom: 4px;">
                                    <label><i class="sr-only"><?php _e('全选'); ?></i><input type="checkbox" class="typecho-table-select-all" /></label>
                                    <div class="btn-group btn-drop">
                                        <button class="btn dropdown-toggle btn-danger btn-s" type="button"><i class="sr-only"><?php _e('操作'); ?></i><?php _e('选中项'); ?></button>
                                        <ul class="dropdown-menu">
                                            <li><a lang="<?php _e('┭﹏┮，你真的要删除这些用户吗?'); ?>" href="<?php $security->index('/action/users-edit?do=delete'); ?>"><?php _e('确定'); ?></a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div id="datatable-buttons_filter" class="dataTables_filter">
                                <div class="search" role="search">
                                    <?php if ('' != $request->keywords): ?>
                                        <a href="<?php $options->adminUrl('manage-users.php'); ?>"><?php _e('&laquo; 取消筛选'); ?></a>
                                    <?php endif; ?>
                                    <input type="text" class="text-s" placeholder="<?php _e('请输入关键字'); ?>" value="<?php echo htmlspecialchars($request->keywords); ?>" name="keywords" />
                                    <button type="submit" class="btn btn-warning btn-sm"><?php _e('筛选'); ?></button>
                                </div>
                            </div>
                        </form>
                        <form method="post" name="manage_users" class="operate-form">
                            <table class="table align-items-center table-flush table-hover typecho-list-table">
                            <thead class="thead-light">
                            <tr>
                                <th> </th>
                                <th><?php _e('文章数'); ?></th>
                                <th><?php _e('用户名'); ?></th>
                                <th><?php _e('昵称'); ?></th>
                                <th><?php _e('电子邮件'); ?></th>
                                <th><?php _e('用户组'); ?></th>
                            </tr>

                            </thead>
                            <tbody>
                            <?php Typecho_Widget::widget('Widget_Users_Admin')->to($users); ?>
                            <?php while($users->next()): ?>
                                <tr id="user-<?php $users->uid(); ?>">
                                    <td><input type="checkbox" value="<?php $users->uid(); ?>" name="uid[]"/></td>
                                    <td><a href="<?php $options->adminUrl('manage-posts.php?uid=' . $users->uid); ?>" class="badge badge-pill badge-default avatar rounded-circle"style="width: 30px;height: 30px;padding-bottom: 0px;padding-top: 0px;padding-right: 0px;padding-left: 0px;"><?php $users->postsNum(); ?></a></td>
                                    <td><span class="badge badge-pill badge-default" style="padding-left: 1px;padding-bottom: 1px;padding-top: 1px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><img class="avatar rounded-circle" src="<?php echo Typecho_Common::gravatarUrl($users->mail, 220, 'X', 'mm', $request->isSecure()) ?>" width="10" height="10" style="margin-right:5px;height:35px;width:35px;"></a><a href="<?php $options->adminUrl('user.php?uid=' . $users->uid); ?>"><?php $users->name(); ?></a>
                                        <a href="<?php $users->permalink(); ?>" title="<?php _e('浏览 %s', $users->screenName); ?>"><i class="i-exlink"></i></a>
                                    </td>
                                    <td><?php $users->screenName(); ?></td>
                                    <td><?php if($users->mail): ?><a href="mailto:<?php $users->mail(); ?>" class="btn btn-warning btn-sm"><?php $users->mail(); ?></a><?php else: _e('暂无'); endif; ?></td>
                                    <td><?php switch ($users->group) {
                                            case 'administrator':
                                                _e('<a class="btn btn-danger btn-sm text-white">管理员</a>');
                                                break;
                                            case 'editor':
                                                _e('<a class="btn btn-primary btn-sm text-white">编辑者</a>');
                                                break;
                                            case 'contributor':
                                                _e('<a class="btn btn-warning btn-sm text-white">贡献者</a>');
                                                break;
                                            case 'subscriber':
                                                _e('<a class="btn btn-success btn-sm text-white">关注者</a>');
                                                break;
                                            case 'visitor':
                                                _e('<a class="btn btn-warningbt btn-sm text-white">访问者</a>');
                                                break;
                                            default:
                                                break;
                                        } ?></td>
                                </tr>
                            <?php endwhile; ?>
                            </tbody>
                        </table>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php include 'Apexfooter.php';?>
</div>

<?php
include 'common-js.php';
include 'table-js.php';
include 'footer.php';
?>
