<?php if(!defined('__TYPECHO_ADMIN__')) exit;
include 'functions.php';
$stat = Typecho_Widget::widget('Widget_Stat');
?>
<nav class="sidenav navbar navbar-vertical fixed-left navbar-expand-xs navbar-light bg-white" id="sidenav-main">

    <div class="scrollbar-inner">
        <!-- Brand -->
        <div class="sidenav-header d-flex align-items-center">
            <a class="navbar-brand" href="<?php $options->adminUrl(''); ?>">
                <img src="./img/Apex.png" class="navbar-brand-img" alt="...">
            </a>
            <div class="ml-auto">
                <!-- Sidenav toggler -->
                <div class="sidenav-toggler d-none d-xl-block" data-action="sidenav-unpin" data-target="#sidenav-main">
                    <div class="sidenav-toggler-inner">
                        <i class="sidenav-toggler-line"></i>
                        <i class="sidenav-toggler-line"></i>
                        <i class="sidenav-toggler-line"></i>
                    </div>
                </div>
            </div>
        </div>

        <div class="navbar-inner">
            <!-- Collapse -->
            <div class="collapse navbar-collapse" id="sidenav-collapse-main">
                <!-- Nav items -->
                <ul class="navbar-nav">
                    <?php   $arr = get_menu('active','show',$menu); ?>
                    <li class="nav-item">
                        <a class="nav-link"  href="<?php $options->adminUrl('write-post.php'); ?>">
                            <i class=" ni ni-single-copy-04 text-default"></i>
                            <span class="nav-link-text">撰写新文章</span>
                        </a>
                    </li>
                   <li class="nav-item">
                        <a class="nav-link"  href="<?php $options->adminUrl('write-page.php'); ?>">
                            <i class=" ni ni-atom text-red"></i>
                            <span class="nav-link-text">创建新页面</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php $options->adminUrl('manage-comments.php'); ?>">
                            <i class="ni ni-map-big text-primary"></i>
                            <span class="nav-link-text">全部评论</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php $options->adminUrl('themes.php'); ?>">
                            <i class="ni ni-archive-2 text-green"></i>
                            <span class="nav-link-text"><?php _e('更换外观'); ?></span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php $options->adminUrl('plugins.php'); ?>">
                            <i class="ni ni-chart-pie-35 text-info"></i>
                            <span class="nav-link-text"><?php _e('插件管理'); ?></span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php $options->adminUrl('options-general.php'); ?>">
                            <i class="ni ni-calendar-grid-58 text-red"></i>
                            <span class="nav-link-text"><?php _e('系统设置'); ?></span>
                        </a>
                    </li>

                </ul>
            </div>
        </div>
    </div>
</nav>


<!-- Main content -->
<div class="main-content" id="panel">
    <!-- Topnav -->
    <nav class="navbar navbar-top navbar-expand navbar-dark bg-primary border-bottom">
        <div class="container-fluid">
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <!-- Search form -->
                <form class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
                    <div class="form-group mb-0">
                        <div class="input-group input-group-alternative input-group-merge">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-search"></i></span>
                            </div>
                            <input class="form-control" placeholder="Search" type="text">
                        </div>
                    </div>
                    <button type="button" class="close" data-action="search-close" data-target="#navbar-search-main" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </form>
                <!-- Navbar links -->
                <ul class="navbar-nav align-items-center ml-md-auto">
                    <li class="nav-item d-xl-none">
                        <!-- Sidenav toggler -->
                        <div class="pr-3 sidenav-toggler sidenav-toggler-dark" data-action="sidenav-pin" data-target="#sidenav-main">
                            <div class="sidenav-toggler-inner">
                                <i class="sidenav-toggler-line"></i>
                                <i class="sidenav-toggler-line"></i>
                                <i class="sidenav-toggler-line"></i>
                            </div>
                        </div>
                    </li>

            <?php
 
             $url='http://www.hnxjhf.com/update/notify/notify.html';
            //  $url_rp = str_replace("secure.gravatar.com\/avatar\/","cdn.v2ex.com\/gravatar\/",$url);
             $html= file_get_contents($url);
 
             echo str_replace("secure.gravatar.com/avatar","cdn.v2ex.com/gravatar",$html);
 
             ?>

                    <li class="nav-item d-sm-none">
                        <a class="nav-link" href="#" data-action="search-show" data-target="#navbar-search-main">
                            <i class="ni ni-zoom-split-in"></i>
                        </a>
                    </li>

                </ul>
                <ul class="navbar-nav align-items-center ml-auto ml-md-0">
                    <li class="nav-item dropdown">
                        <a class="nav-link pr-0" href="" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <div class="media align-items-center">
                          <span class="avatar avatar-sm rounded-circle">
                            <img alt="Image placeholder" src="<?php echo Typecho_Common::gravatarUrl($user->mail, 220, 'X', 'mm', $request->isSecure()) ?>">
                          </span>
           <div class="dropdown-menu dropdown-menu-arrow dropdown-menu-right">
              <div class=" dropdown-header noti-title">
                <h6 class="text-overflow m-0"><?php $user->screenName(); ?>，<?php
                $h=date('G');
                if ($h<11) echo '早上好，永远年轻！';
                else if ($h<13) echo '中午好，来杯咖啡吧！';
                else if ($h<17) echo '下午好，来点点心呗！';
                else echo '晚上好，不要熬夜哦！';
                ?></h6>
              </div>
              <a href="<?php $options->adminUrl('profile.php'); ?>" class="dropdown-item">
                <i class="ni ni-single-02"></i>
                <span>我的信息</span>
              </a>
              <a href="<?php $options->adminUrl('write-post.php'); ?>" class="dropdown-item">
                <i class="fa fa-pen"></i>
                <span>新建文章</span>
              </a>
              <a href="<?php $options->adminUrl('extending.php?panel=Spider%2Fpanel.php'); ?>" class="dropdown-item">
                <i class="ni ni-cloud-download-95"></i>
                <span>采集文章</span>
              </a>
              <a href="<?php $options->adminUrl('manage-comments.php'); ?>" class="dropdown-item">
                <i class="ni ni-support-16"></i>
                <span>评论管理</span>
              </a>
              <div class="dropdown-divider"></div>
              <a href="<?php $options->logoutUrl(); ?>" class="dropdown-item">
                <i class="ni ni-user-run"></i>
                <span>退出登录</span>
              </a>
            </div>  
                            <div class="media-body ml-2 d-none d-lg-block">
                                <span class="mb-0 text-sm  font-weight-bold" style="color: #fff" title="<?php
                                if ($user->logged > 0) {
                                    $logged = new Typecho_Date($user->logged);
                                    _e('最后登录: %s', $logged->word());
                                }

                                ?>"><?php $user->screenName(); ?></span>
                            </div>
                            </div>
                        </a>
                    </li>
                  
                    &nbsp;
                    &nbsp;
                    &nbsp;
               <a href="<?php $options->logoutUrl(); ?>" class="btn btn-danger btn-sm">退出</a>
               <a href="<?php $options->siteUrl(); ?>" class="btn btn-secondary btn-sm">前台</a>
                </ul>
                         
            </div>
        </div>
    </nav>

