<?php
include 'common.php';
include 'header.php';
include 'menu.php';
include 'ApexUi.php';
$stat = Typecho_Widget::widget('Widget_Stat');
?>
<style>
    .profile-avatar{
        max-width: 100%;
        border-top-left-radius: calc(.375rem - 1px);
        border-top-right-radius: calc(.375rem - 1px);
    }
    .typecho-option .description{
        font-size:.81857em;
    }
    p ,label{
        font-size:.86857em;
    }

    .typecho-label {
        font-size:.86857em;
    }
    .primary{
        height: 35px;
        padding-top: 7px;
    }
</style>
<div class="container-fluid mt--6">
      <div class="row card-wrapper">
        <div class="col-lg-4">
          <div class="card card-profile">
            <img src="./img/bg.png" alt="Image placeholder" class="card-img-top">
            <div class="row justify-content-center">
              <div class="col-lg-3 order-lg-2">
                <div class="card-profile-image">
                  <a href="http://gravatar.com/emails/" title="<?php _e('在 Gravatar 上修改头像'); ?>">
                    	<?php echo '<img class="rounded-circle" src="' . Typecho_Common::gravatarUrl($user->mail, 220, 'X', 'mm', $request->isSecure()) . '" alt="' . $user->screenName . '" />'; ?>
                  </a>
                </div>
              </div>
            </div>
            <div class="card-header text-center border-0 pt-4 pt-md-4 pb-0 pb-md-4">
              <div class="d-flex justify-content-between">
                <a href="http://gravatar.com/emails/" class="btn btn-sm btn-info  mr-4 "><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">头像</font></font></a>
                <a href="#" class="btn btn-sm btn-default float-right"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">消息</font></font></a>
              </div>
            </div>
            <div class="card-body pt-0">
              <div class="row">
                <div class="col">
                  <div class="card-profile-stats d-flex justify-content-center">
                    <div>
                      <span class="heading"><?php _e($stat->myPublishedPostsNum); ?></span>
                      <span class="description"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">我的日志</font></font></span>
                    </div>
                    <div>
                      <span class="heading"><?php _e($stat->myPublishedCommentsNum); ?></span>
                      <span class="description"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">日志评论</font></font></span>
                    </div>
                    <div>
                      <span class="heading"><?php _e($stat->categoriesNum); ?></span>
                      <span class="description"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">分类数目</font></font></span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="text-center">
                <h5 class="h3"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">
                  Hi! <?php $user->screenName(); ?></font></font></span>
                </h5>
                  <i class="ni location_pin mr-2"></i><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><i class="ni education_hat mr-2">
                           <span id="jinrishici-sentence">  正在加载....</span>
                           <script src="https://sdk.jinrishici.com/v2/browser/jinrishici.js" charset="utf-8"></script></i>
                </font></font></div>
                  <div class="text-center">
                   <i class="ni location_pin mr-2"></i><?php
                            if ($user->logged > 0) {
                                $logged = new Typecho_Date($user->logged);
                                _e('上次登录: %s', $logged->word());
                            }
                            ?>
                </font></font></div>
            </div>
          </div>

          <div class="card-header">
            <div class="card-body">
              <h3 class="card-title text-blue"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">密码管理</font></font></h3>
              <blockquote class="blockquote text-blue mb-0">
                                <?php Typecho_Widget::widget('Widget_Users_Profile')->passwordForm()->render(); ?>
              </blockquote>
            </div>
          </div>

        </div>
        <div class="col-lg-4">
          <div class="card-header">
            <div class="card-body">
              <h3 class="card-title text-blue"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">编辑资料</font></font></h3>
              <a class="blockquote text-blue mb-0">
                                <?php Typecho_Widget::widget('Widget_Users_Profile')->profileForm()->render(); ?>
                        <?php if($user->pass('contributor', true)): ?>
              </a>
            </div>
          </div>
        </div>
        
        <div class="col-lg-4">
          <div class="card-header">
            <div class="card-body">
              <h3 class="card-title text-blue"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">撰写设置</font></font></h3>
              <blockquote class="blockquote text-blue mb-0">
                                <?php Typecho_Widget::widget('Widget_Users_Profile')->optionsForm()->render(); ?>
              </blockquote>
            </div>
          </div>
           
        </div>
        
        </div>
            <?php include 'Apexfooter.php';?>
        </div>
        

  
<?php endif; ?>


<?php
//include 'copyright.php';
include 'common-js.php';
include 'form-js.php';
Typecho_Plugin::factory('admin/profile.php')->bottom();
include 'footer.php';
?>
