<?php
//include 'common.php';
include 'header.php';
include 'menu.php';
include 'ApexUi.php';
?>


<div class="container-fluid mt--6">
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-header">
                    <div class="clearfix">
                        <h3 style="float: left;margin-right: 16px;"><?php include 'page-title.php'; ?></h3>
                        
  
      <div class="modal fade" id="modal-default" tabindex="-1" role="dialog" aria-labelledby="modal-default" aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">添加友链</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
          <div class="modal-body">
            <?php Handsome_Plugin::form()->render(); ?>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-link ml-auto" data-dismiss="modal">关闭</button>
            </div>
        </div>
    </div>
</div>


                        <a data-toggle="modal" data-target="#modal-default" class="btn btn-primary btn-sm text-white">添加</a>
                    </div>
                </div>               
                    <?php
						$prefix = $db->getPrefix();
						$links = $db->fetchAll($db->select()->from($prefix.'links')->order($prefix.'links.order', Typecho_Db::SORT_ASC));
                    ?>
                    <form method="post" name="manage_categories" class="operate-form">
                    <div class="dt-buttons btn-group">
                                <div class="operate" style="margin-bottom: 4px;">
                                    <label><i class="sr-only"><?php _e('全选'); ?></i><input type="checkbox" class="typecho-table-select-all" /></label>
                                    <div class="btn-group btn-drop">
                                        <button class="btn dropdown-toggle btn-danger btn-s" type="button"><i class="sr-only"><?php _e('操作'); ?></i><?php _e('选中项'); ?></button>
                                <ul class="dropdown-menu">
                                    <li><a lang="<?php _e('你确认要删除这些链接吗?'); ?>" href="<?php $options->index('/action/links-edit?do=delete'); ?>"><?php _e('删除'); ?></a></li>
                                </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="table-responsive">
                        <table class="table align-items-center table-flush table-hover typecho-list-table">
                            <thead class="thead-light">
                            <tr class="nodrag">
                           	<colgroup>
                                <col width="20"/>
								<col width="20%"/>
								<col width=""/>
								<col width="30%"/>
								<col width="20%"/>
                            </colgroup>
                            <thead>
                                <tr>
                                    <th> </th>
									<th><?php _e('名称'); ?></th>
									<th><?php _e('描述'); ?></th>
									<th><?php _e('分类'); ?></th>
									<th><?php _e('地址'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
								<?php if(!empty($links)): $alt = 0;?>
								<?php foreach ($links as $link): ?>
                                <tr id="lid-<?php echo $link['lid']; ?>">
                                    <td><input type="checkbox" value="<?php echo $link['lid']; ?>" name="lid[]"/></td>
									<td><span class="badge badge-pill badge-default" style="padding-left: 1px;padding-bottom: 1px;padding-top: 1px;"><font style="vertical-align: inherit;"><font style="text-transform:capitalize vertical-align: inherit;" ><?php
								
										if ($link['image']) {
											echo '<a href="'.$link['image'].'" title="点击放大" target="_blank"><img class="avatar rounded-circle" src="'.$link['image'].'" alt="'.$link['name'].'" width="10" height="10" style="margin-right:5px;height:35px;width:35px;"/></a>';
										} else {
											$options = Typecho_Widget::widget('Widget_Options');
											$nopic_url = Typecho_Common::url('/usr/plugins/Handsome/nopic.jpg',
                                                $options->siteUrl);
											echo '<img class="avatar" src="'.$nopic_url.'" alt="NOPIC" width="10" height="10"/>';
										}
									?>
		<a data-toggle="modal" data-target="#modal-default" href="<?php echo $request->makeUriByRequest('lid=' . $link['lid']); ?>" title="点击编辑" ><?php echo $link['name']; ?></a></font></font></span></td>
									<td><?php echo $link['description']; ?></td>
									<td><?php
                                        if ($link["sort"] == "ten"){
                                            echo '<a class="btn btn-danger btn-sm text-white">全站链接</a>';
                                        }else if ($link["sort"]== "one"){
                                            echo '<a class="btn btn-primary btn-sm text-white">内页链接</a>';
                                        }elseif ($link["sort"] == "good"){
                                            echo '<a class="btn btn-warning btn-sm text-white">推荐链接</a>';
                                        }else{
                                            echo '<a class="btn btn-default btn-sm text-white">失效链接</a>';
                                        } ?></td>
                                    <td><?php echo $link['url']; ?><a href="<?php echo $link['url']; ?>"><i class="ni ni-send"></i></a></td>
                                </tr>
                                <?php endforeach; ?>
                                <?php else: ?>
                                <tr>
                                    <td colspan="5"><h6 class="typecho-list-table-title"><?php _e('没有任何链接'); ?></h6></td>
                                </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                    </form>
				</div>
                
        </div>
    </div>
        <?php include 'Apexfooter.php';?>
</div>

<?php

include 'common-js.php';
?>

<script type="text/javascript">
(function () {
    $(document).ready(function () {
        var table = $('.typecho-list-table').tableDnD({
            onDrop : function () {
                var ids = [];

                $('input[type=checkbox]', table).each(function () {
                    ids.push($(this).val());
                });

                $.post('<?php $options->index('/action/links-edit?do=sort'); ?>', 
                    $.param({lid : ids}));

                $('tr', table).each(function (i) {
                    if (i % 2) {
                        $(this).addClass('even');
                    } else {
                        $(this).removeClass('even');
                    }
                });
            }
        });

        table.tableSelectable({
            checkEl     :   'input[type=checkbox]',
            rowEl       :   'tr',
            selectAllEl :   '.typecho-table-select-all',
            actionEl    :   '.dropdown-menu a'
        });

        $('.btn-drop').dropdownMenu({
            btnEl       :   '.dropdown-toggle',
            menuEl      :   '.dropdown-menu'
        });

        $('.dropdown-menu button.merge').click(function () {
            var btn = $(this);
            btn.parents('form').attr('action', btn.attr('rel')).submit();
        });

        <?php if (isset($request->lid)): ?>
        $('.typecho-mini-panel').effect('highlight', '#AACB36');
        <?php endif; ?>
    });
})();
</script>
<?php include 'footer.php'; ?>
